Skip to main content

Billing

Billing​

toothfairyai@latest…

Manager for billing operations.

This manager provides methods to create, update, and manage billing.

Example:

>>> client = ToothFairyClient(api_key="...", workspace_id="...")
>>> billing = client.billing.get(...)

Accessed via client.billing.

Methods​

MethodHTTPEndpoint
get_month_costsGETGET /billing/monthCosts

get_month_costs​

Get monthly usage and cost breakdown.

def get_month_costs() -> MonthCostsResponse

Endpoint: GET /billing/monthCosts · API service

Response fields​

FieldTypeDescription
apiUsageobjectAPI usage statistics and costs
trainingUsageobjectTraining usage statistics
paginationobjectPagination metadata for responses that support pagination

Example​

client.billing.get_month_costs()